import 'package:flutter/material.dart';

abstract class TransportationVehicle {
  // name of the vehicle
  String get name;

  // is the vehicle currently running?
  VehicleStatus get status;

  // name of vehicle's next stop
  String get nextStop;

  // vehicle icon
  IconData get icon;

  // vehicle route
  TransitionRoute get route;
}

enum VehicleStatus { running, stopped }
