import "package:furman_now/src/services/transportation/saferide_shuttle.dart";
import "package:test/test.dart";

void main() {
  test("shuttle status is fetched successfully", () async {
    var route = await TransportationSafeRideShuttleService.fetchShuttleRoute();

    // ensure polyline has points
    expect(route.route.points.length, isNonZero);
    // ensure stops are listed
    expect(route.stops.length, isNonZero);
  });

  test("shuttle route is fetched successfully", () async {
    var route = await TransportationSafeRideShuttleService.fetchShuttleRoute();

    // ensure polyline has points
    expect(route.route.points.length, isNonZero);
    // ensure stops are listed
    expect(route.stops.length, isNonZero);
  });
}
